<template>
    <div class="viewport">
        <Header class="lef-header" />
        <MobileHeader class="top-header" />
        <main class="app-content">
            <notifications animation-name="fadeInDown" />
            <div class="content app-page" :class="$route.name">
                <HeaderText />
                <router-view />
            </div>
        </main>
        <Feedback/>
    </div>
</template>

<script>
import HeaderText from "@/components/header/HeaderText";
import Header from "@/components/header/Header";
import MobileHeader from "@/components/header/MobileHeader";
import shop from '@/mixins/shop.service'
import { mapMutations } from 'vuex';
import Feedback from '@/components/elements/Feedback.vue';

export default {
    name: "DashboardLayout",
    components: {MobileHeader, Header, HeaderText, Feedback},
    mixins: [shop],
    data() {
        return {
            shop: null
        }
    },
    created() {
        this.loadShop()
    },
    methods: {
        ...mapMutations(['updPlatform']),
        async loadShop() {
            this.shop = await this.getShop()
            let platform = this.$cookies.get('platform')
            if(!platform) {
                platform = 'shopify'
                this.$cookies.set('platform', platform)
            } 
            this.updPlatform(platform)
            if (platform === 'wix') {
                if (!this.shop.payment_status) {
                    await this.$router.push('/setup/1')
                }
            }
        },
    }
}
</script>

<style scoped lang="scss">
@import "../../css/colors";

.viewport {
    padding-left: 250px;
    background: $app-background-color;
    height: 100vh;
    @media screen and (max-width: 770px) {
        padding-left: 0;
    }
}

.app-content {
    background: $app-background-color;
}

.top-header {
    display: none;
}

@media screen and (max-width: 770px) {
    .lef-header {
        display: none;
    }
    .top-header {
        display: block;
        border: 1px solid white;
    }
}

</style>
